@rem //-- Author: Daniel Romischer (daniel@romischer.com)
@echo off

goto :start

:Usage
echo Use this File to Register Ooganizer Paths in the registry
echo.
echo    Syntax:  RegPathsConfig "[main ooganizer path]"
echo.
echo    Example:	RegPathsConfig "C:\Program Files\Ooganizer"
echo.
goto :Exit

:start
if (%1)==() Goto :Usage

REG ADD HKLM\Software\Ooganizer /v InstallPath /d %1\ /f
REG ADD HKLM\Software\Ooganizer /v LogPath /d %1\Platform\Logs\ /f
REG ADD HKLM\Software\Ooganizer /v PlatformPath /d %1\Platform\ /f
REG ADD HKLM\Software\Ooganizer /v ServerPath /d %1\Server\ /f

:Exit